OpenUSB Developers Guide
Prev |  | Next

# `openusb_abort`

## Name

`openusb_abort` -- Abort previous I/O request

## Synopsis

``int32_t openusb_abort`(openusb_request_handle_t handle);`

## Parameters

`handle` - Request handle.

## Description

`openusb_abort()` is used to abort an I/O request submitted previously by `openusb_xfer_wait/openusb_xfer_aio`.

## Return Value

`openusb_abort` returns 0 on success. Otherwise, a openusb error is returned.

OPENUSB_SUCCESS No errors.

OPENUSB_INVALID_HANDLE `handle` is not valid.

OPENUSB_NO_RESOURCES Memory allocation failure.

OPENUSB_IO_* USB host controller errors.

## See Also

Prev | Home | Next
`openusb_ctrl_xfer, openusb_intr_xfer, openusb_bulk_xfer, openusb_isoc_xfer` | Up | `openusb_wait, openusb_poll`